pcl::detail::FieldMapping Struct Reference

`#include <pcl/point_cloud.h>`

## Public Attributes

std::size_t | serialized_offset
std::size_t | struct_offset
std::size_t | size

## Detailed Description

Definition at line 62 of file point_cloud.h.

## Member Data Documentation

## serialized_offset

std::size_t pcl::detail::FieldMapping::serialized_offset

Definition at line 64 of file point_cloud.h.

Referenced by pcl::detail::fieldOrdering(), and pcl::detail::FieldMapper< PointT >::operator()().

## size

std::size_t pcl::detail::FieldMapping::size

Definition at line 66 of file point_cloud.h.

Referenced by pcl::detail::FieldMapper< PointT >::operator()().

## struct_offset

std::size_t pcl::detail::FieldMapping::struct_offset

Definition at line 65 of file point_cloud.h.

Referenced by pcl::detail::FieldMapper< PointT >::operator()().

The documentation for this struct was generated from the following file:

- pcl/point_cloud.h